#
# spec file for package nvram-wakeup (Version 0.97)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           nvram-wakeup
Url:            http://sourceforge.net/projects/nvram-wakeup
Summary:        Reads and writes the WakeUp time in the BIOS
Version:        0.97
Release:        19.2
License:        GPL v2 or later
Group:          System/Base
Source:         %{name}-%{version}.tar.bz2
Source1:        COPYING
Patch0:         nvram-wakeup-fix-stack-overflow
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a (small) program  that can read and write  the WakeUp time in
the  BIOS  (via /dev/nvram on kernels >= 2.4.6 or via direct I/O).  On
this  WakeUp  time  the computer will be powered on automatically from
the soft-off state.

---- WARNING: --------------------------------------------------------
This program  writes into the  NVRAM  (used by	BIOS to store the CMOS
settings). This is  DANGEROUS.	Do it at  your own  risk.  Neither the
author	of  this program  (nvram-wakeup)  nor anyone else  can be made
responsible to any damage made by this program in any way. (The worst
case  happened to me is that on reboot the BIOS noticed the illegal 
contents of  the nvram and  set everything to default values. But this
doesn't mean that you can't destroy even your whole computer.) YOU HAVE
BEEN WARNED.



Authors:
--------
    Sergei Haller <Sergei.Haller@math.uni-giessen.de>

%debug_package
%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %{?jobs:-j%jobs}

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
gzip *.8
cp %{SOURCE1} .
install -m 0755 biosinfo cat_nvram guess-helper guess \
        set_timer time nvram-wakeup rtc $RPM_BUILD_ROOT/%{_sbindir}
install -m 0644 *.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc HISTORY README.*  COPYING
%{_sbindir}/*
%{_mandir}/man8/*.8.gz

%changelog
* Tue Jan 08 2008 - bwalle@suse.de
- fix stack overflow (351625)
* Mon Jul 02 2007 - bwalle@suse.de
- added COPYING
* Sun Jun 24 2007 - bwalle@suse.de
- initial package
